# 🚀 Ecolyo au-delà de la Métropole de Lyon ?

_Page en cours de construction et qui s’enrichira avec les -  de plus en en plus nombreuses -  questions qui nous sont posées._

Issue d’un développement interne (aidé par période par des prestataires externes), Ecolyo est un service numérique Grand Lyonnais (nous en sommes fiers 😊). Il pourrait cependant profiter à des habitants partout en France. En effet :

- Il s’adresse à toute personne ayant un **compteur Linky** et/ou **Gazpar** dans son logement. Techniquement, il pourrait être utilisé partout sur le territoire en France où opèrent Enedis et GRDF.

![how-it-works](../img/ecolyo/how-it-works.png)

- **Son code est [open-source](https://forge.grandlyon.com/web-et-numerique/factory/llle_project)**

Son développement a été financé à 50% par la Banque des territoires et aujourd’hui quelques nouvelles fonctionnalités devraient voir le jour grâce au soutien de la Commission Européenne.

**⇒ Nous avons donc à cœur de partager ce service, ces développements ou au moins le retour d’expérience de la (longue et toujours en cours) construction de notre beau et fonctionnel service.**

## 📱Avant de commencer : testez Ecolyo

Si ce n’est pas déjà le cas, n’hésitez pas vous créer un compte sur [Ecolyo.com](http://Ecolyo.com), nous n’avons pas mis de blocage géographique spécifique pour l’instant.

N’hésitez pas à nous faire des retours en tant qu’utilisateur-trices du service (directement dans le service ou [ici](https://support.grandlyon.com/ecolyo/)).

## Ecolyo c’est quoi ?

![ecolyo](../img/ecolyo.png){: .center}

Ecolyo est un service numérique gratuit et ludique permettant de suivre ses consommations d’électricité, de gaz et d’eau, de consulter des conseils, de participer à des défis individuels… dans le but de maîtriser ses consommations et donc ses factures.

Ecolyo est un outil au service de la [politique de sobriété énergétique de la Métropole de Lyon](https://met.grandlyon.com/energie-a-lheure-de-la-sobriete/).

Ecolyo est une web-app ⇒ Pour en savoir plus sur l’architecture numérique rendez-vous [ici](https://www.notion.so/Ecolyo-au-del-de-la-M-tropole-de-Lyon-d50628eb7410490f9efda3723e679b88?pvs=21)

### 🎖️Ses avantages

- Regrouper au même endroit les consommations d’électricité, de gaz et d’eau.
- Récupérer quotidiennement les données.
- Récupérer jusqu’à 3 ans d’historique.
- Permettre le suivi et la comparaison dans le temps de ses consommations : sur plusieurs années et quelque soit le fournisseur d’électricité ou de gaz. Permettre aussi de comparer ses consommations même lors d’un déménagement.
- Proposer une interface fluide et ludique et dynamique pour inciter au changement
- Assurer une protection des données optimale. En effet, pour utiliser Ecolyo il faut créer un [cloud personnel grand Lyon - Ma Bulle](https://www.grandlyon.com/services/self-data-cloud-personnel) qui permet de sécuriser les données de l’utilisateur pour que personne, pas même la métropole, n'ait accès à celles-ci.

#### Les fonctionnalités en détail

- La visualisation des consommations
      - Multi-fluides ou par flux
      - Heure, jour, mois ou année
      - En €, kWh ou L
      - Comparaison dans le temps

![conso](../img/ecolyo/conso.png){: .small .center}

- Les défis portant sur :
      - Des objectifs de baisse des consommations basées sur les consommations réelles de l’utilisateur
      - La culture générale
      - L’utilisation du service

![defis](../img/ecolyo/defis.png){: .small .center}

- Les écogestes
      - Les Écogestes/ Astuces
      - Savoir quoi faire pour baisser sa conso
      - Prioriser par niveau d’impact
      - Adapter à son profil

![astuces](../img/ecolyo/astuces.png){: .small .center}

- Analyse comparative :
      - Savoir évaluer le niveau de sa conso
      - Se comparer à une moyenne de foyers similaires
      - Ecolyo propose aussi une newsletter tous les mois avec des actus et des conseils.

![analyse](../img/ecolyo/analyse.png){: .small .center}

- Enfin Ecolyo met à disposition un [service utilisateur](http://support.grandlyon.com/ecolyo) pour répondre à toutes les problématiques rencontrées par les utilisateurs ainsi que récolter des idées et remarques.

## 🗓️ Où en sommes-nous ?

- Les développements d’Ecolyo ont commencé fin 2019. Sa conception est issue de plusieurs ateliers de Design. Ecolyo a été pensé comme un outil d’aide au changement de comportement.
- Notre MVP (Minimum Viable Product) a remporté [en novembre 2020 le 3ème prix du Jury du Data Challenge](https://energiedatachallenge.fr/services/) organisé par Enedis, GRDF, l’ADEME et le Ministère de la Transition Ecologique.
- Puis le développement d’une V1 et un travail important sur les connecteurs aux données de consommations d’électricité, de gaz et d’eau a été mené. Plusieurs sessions de tests techniques et psycho-sociologiques auprès d’une centaines d’utilisateurs ont permis de faire évoluer notre produit notamment à l’hiver 2021-2022.
- Mi-2022, et face aux difficultés rencontrées par nos utilisateurs, nous avons opéré un virage dans le mode de connexion aux données de consommation d’électricité. (Cf Partie “[Pourquoi l’API Enedis-SGE ?](#la-connexion-aux-données-de-consommation)”). La V2 était née.
- Le contexte énergétique de l’hiver 2022-2023 a mis au premier plan la sobriété énergétique. Ecolyo, en tant qu’outil de la politique de sobriété énergétique a bénéficié d’une large campagne de communication pour faire connaître l’outil.

<video src="https://doc-self-data.apps.grandlyon.com/img/ecolyo/video.mp4" style="height: 350px; display:block; margin:auto" controls autoplay></video>

- De nouvelles campagnes de communications sont prévues pour faire augmenter la notoriété du service numérique.

A date (_début septembre 2023_), Plus de 2500 comptes Ecolyo ont été créés.

## 📏Les choix architecturaux que nous avons faits

Ecolyo c’est un ensemble : une app et ses connecteurs, le tout dans un cloud personnel porté par l’entreprise [Cozy Cloud](https://cozy.io/fr/). La gestion des données personnelles et le fonctionnement des API partenaires sur lesquelles nous nous appuyons (Enedis, GRDF, Eau Publique du Grand Lyon) ainsi que le souhait de pouvoir animer le service (via la lettre mensuelle) ont nécessité la création d’un backoffice en plus de l’infrastructure proposée par Cozy.

### **L’architecture générale**

Ecolyo est formée de plusieurs blocs :

- Une progressive web app
- Un bloc self data se reposant sur la technologie Cozy
- Un back office pour gérer les consentements des utilisateurs ou rédiger la newsletter
- Un raccordement à l’outil de statistiques Matomo qui utilise en entrée des données anonymisées
- Un lien vers les SI des partenaires : Enedis, GRDF et Eau du Grand Lyon
- Un Service Assistance aux utilisateurs (SAU) pour aider les utilisateurs au cours de leur parcours de première connexion et en cas de problème ou pour recueillir leurs idées et avis.

![architecture](https://doc-self-data.apps.grandlyon.com/ecolyo/technical/architecture.svg)

<details><summary>Pourquoi le Self Data ? Pourquoi Cozy ?</summary>
La Métropole s’est engagé sur le modèle "self-data"  depuis 2017. Le "self-data"  permet d’apporter à la fois une plateforme de services numériques respectueuse de la vie privée des usagers, un coffre fort numérique récupérant automatiquement les documents.

L'intérêt principal du self data est de permettre de créer de la valeur pour l'usager autour de ses données personnelles sans les divulguer à des tiers : nous n’amenons  pas la donnée vers les services mais nous amenons les services (les applications) vers la donnée qui est dans un espace privatif sous contrôle complet de l'utilisateur.
Le "self-data" s’appuie sur le produit Cozy qui est la seule plateforme identifiée libre proposant ces deux fonctions.
Un appel à projet innovant visant à renforcer et développer l’écosystème "self-data" a été remporté par la Métropole et ses partenaires en juin 2023, après une candidature en septembre 2022.
</details>

<details><summary>Pourquoi une Web’app ?</summary>
Les applications Cozy sont privilégiées en mode Web App (même si elles peuvent être exposées dans l'app "Amirale cozy", cela reste des web apps dans une vue web dans cette application).

L'intérêt de la web app est l'interopérabilité : le web est compatible avec tous les smartphones, toutes les tablettes, tous les ordinateurs, et même plus (TVs connectées, pourquoi pas), à la différence des applications natives qui doivent être développées pour chaque familles de terminaux.

Le web repose sur des standards ouverts, et reste donc interopérable dans le temps (vous pouvez ouvrir un site fait en 1990 sur votre ordinateur ou votre smartphone, ça marche), à la différence des applications qui demandent un effort constant pour rester techniquement à jour.
</details>

### La connexion aux données de consommation

L’accès aux données de consommation se fait via les API proposées par les gestionnaires de réseau. Elles nécessitent la signature d’un contrat avec chacun d’eux et la définition de partage de responsabilité entre le gestionnaire de réseau et le Tiers (la Métropole de Lyon ici).

⚡ Plus d’infos sur les API proposées par Enedis : [sge-tiers](https://datahub-enedis.fr/fournisseurs-de-services/sge-tiers/) ou [sge-tiers/les-services-de-deonnes](https://datahub-enedis.fr/fournisseurs-de-services/sge-tiers/les-services-de-donnees/)

🟢 Plus d’infos sur [GRDF Addict](https://sites.grdf.fr/web/portail-api-grdf-adict)

⚖️ Le choix et la mise en place des modes de connexion aux données de consommations a pu être discuté avec les gestionnaires de réseau et, en interne, avec les services numériques mais également avec notre Direction des Affaires Juridiques.

**L’équilibre à trouver (et à partager avec les gestionnaires de réseau) :** faciliter au maximum l’accès des habitants de la Métropole de Lyon à leurs données de consommations d’énergie et d’eau, tout en assurant leur protection… sans se mettre en risque juridique en tant que collectivité locale.

<details><summary>Pourquoi l’API Enedis - SGE ?</summary>
Après 3 ans de développements et d’expérimentation du service [API Data Connect](https://datahub-enedis.fr/services-api/data-connect/) d’Enedis, nous avons fait le choix de changer de mode de connexion en passant aujourd’hui par l’API SGE d’Enedis.

Data Connect présentait de forts avantages pour nous, en tant que collectivité : non portage du recueil du consentement utilisateurs (non responsabilité juridique) mais entraînait de grosses difficultés techniques et surtout de grosses difficultés d’accès à la donnée pour nos utilisateurs car le parcours proposé était long et complexe (création de compte Enedis, vérification d’identité, etc.)

SGE nous a permis de proposer un parcours de connexion plus simple pour l’utilisateur. Il a cependant nécessité plus d’un an de développements (de la signature du contrat à la mise en production de notre nouveau connecteur en passant par une phase d’homologation). Il a posé de nouvelles questions autour de la donnée personnelle (responsabilité en cas d’usurpation d’identité, gestions techniques des déménagements, changements de fournisseur, etc.). Il a nécessité la création d’un backoffice dédié côté Métropole de Lyon pour pouvoir répondre aux contrôles a posteriori effectués par le gestionnaire de réseau.

**—> Nous avons donc fait le choix de privilégier le parcours utilisateurs vs difficultés techniques et risques juridiques portés par notre collectivité.**
</details>

<details><summary>Pourquoi l’API GRDF Adict - Parcours Client Connect ?</summary>
Le parcours Client connect nous permet en tant que collectivité de laisser la gestion du recueil de consentement aux mains de GRDF. Il ajoute de la complexité au parcours utilisateur cependant : nécessité de créer un compte chez GRDF (acteur parfois inconnu du grand public), et recueil du consentement (via un formulaire plutôt compliqué à remplir et pouvant induire de nombreuses erreurs de fonctionnement du service par la suite).
</details>

## 👨🏻‍💻Plus d’informations sur le code Source et la documentation

- [Lien vers le code](https://forge.grandlyon.com/web-et-numerique/factory/llle_project)

***Ecolyo est un logiciel libre***

La Métropole de Lyon a acté la libération des codes sources des applications qu'elle développe ou fait développer. Ainsi tout développement spécifique est publié sur la [forge publique du Grand Lyon.](https://forge.grandlyon.com/)

***Licences***

Ecolyo est sous licence **[GNU Affero General Public License v3.0](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/ecolyo/-/blob/dev/LICENSE).** En résumé cette licence implique les éléments suivants.

Les autorisations de cette licence de copyleft sont conditionnées par la mise à disposition du code source complet des travaux sous licence et de leurs modifications, qui incluent des travaux plus importants utilisant un travail sous licence, sous la même licence. Les mentions de droit d'auteur et de licence doivent être conservées. Les contributeurs accordent expressément des droits de brevet.

| Autorisations | Conditions | Limitations |
| --- | --- | --- |
| Utilisation commerciale | Divulgation de la source | Responsabilité |
| Distribution | Avis de licence et de droits d'auteur | Garantie |
| Modification | Même licence |  |
| Utilisation de brevets | Changements d'état |  |
| Usage privé |  |  |

*⚠️ Ces éléments ne sont qu’à vocation pédagogique - Consultez l’ensemble des conditions de la licence.*

## 👥 Un service construit dans un logique de changement de comportement

Dès le début et les premiers sprint design Ecolyo a été pensé comme un outil d’accompagnement au changement. Les fonctionnalités (défis, visualisation des consommations, Astuces, Analyses) ont été en lien avec le modèle transthéorique de Prochaska et Di Clemente. Des études d’ordre psychosociologiques ont par ailleurs été menées par deux stagiaires lors de l’été 2021.

## ❓ Foire aux questions

Quelques réponses à des questions qu’on nous/se pose régulièrement en observant Ecolyo. Si vous avez d’autres questions, d’autres suggestions ou l’envie de développer un connecteur ou un service au sein du Cloud Personnel Grand Lyonnais, n’hésitez pas à nous contacter à [ecolyo@grandlyon.com](mailto:ecolyo@grandlyon.com)

*NB : nous n’avons cependant pas vocation à nous positionner en AMO ou en ESN (Entreprise de Service Numérique). Il se peut que nous bottions en touche donc parfois.*

<details><summary>Comment et avec qui est faite la connexion aux données de consommation d’eau ?</summary>
Ecolyo permet de se connecter aux données de consommations d’Eau Publique du Grand Lyon uniquement. Nous utilisons une API spécifique développée par Eau du Grand Lyon et reprise actuellement par la régie Publique créée par la Métropole de Lyon le 1er janvier 2023.

L’architecture du service pourrait permettre à terme de connecter d’autres types de compteurs eau si un connecteur spécifique à chaque fournisseur de données était créé. A vos développements !
</details>

<details><summary>Quid du bois ? Du fioul ?</summary>
Nous avons fait le choix de faciliter la récupération des données par l’utilisateur (une connexion au début, mise à jour automatique quotidienne ensuite) et nous ne proposons pas de services permettant d’entrer manuellement des consommations. C’est un choix fonctionnel et technique.
</details>

<details><summary>Quid des consommations collectives ?</summary>
Pour l’instant nous n’avons pas prévu de récupérer et permettre la visualisation de consommations collectives. Nous avons en tête de faire le lien entre les consommations individuelles et celle de l’immeuble ou de la copro,  en lien avec les données publiques annuelles de consommations d’énergie publiée par les gestionnaires de réseau (et retravaillées par exemple dans le cadre de notre [Cadastre Energie Grand Lyonnais](https://cadastreenergie.grandlyon.com/
)).
</details>
<details><summary>Quid de l’impact d’Ecolyo sur les consommations ?</summary>
Nous n’avons pas accès aux données des utilisateurs. La mesure quantitative de l’impact nous est pour l’instant impossible. Les retours qualitatifs sont quant à eux positifs : selon une enquête utilisateur réalisée en juin 2023, 2/3 de nos utilisateurs ont mis en place de nouvelles actions (des plus petites aux plus grandes) depuis le début de leur utilisation d’Ecolyo.
</details>
